Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst
Class SumLatticeConstrained

    java.lang.Object
      cc.mallet.fst.SumLatticeDefault
          cc.mallet.fst.SumLatticeConstrained

All Implemented Interfaces:
  SumLattice

    public class SumLatticeConstrained

extends SumLatticeDefault

Nested Class Summary

Nested classes/interfaces inherited from class cc.mallet.fst.SumLatticeDefault
`SumLatticeDefault.Factory, SumLatticeDefault.LatticeNode`

Field Summary

Fields inherited from class cc.mallet.fst.SumLatticeDefault
`saveXis`

Constructor Summary
`SumLatticeConstrained(Transducer t, Sequence input, Sequence output, Segment requiredSegment, Sequence constrainedSequence)`
`SumLatticeConstrained(Transducer trans, Sequence input, Sequence output, Transducer.Incrementor incrementor, LabelAlphabet outputAlphabet, int[] constraints)` Create a lattice that constrains its transitions such that the pairs in "constraints" are adhered to.

Method Summary

Methods inherited from class cc.mallet.fst.SumLatticeDefault
`getAlpha, getBeta, getGammaProbability, getGammaProbability, getGammas, getGammaWeight, getGammaWeight, getLabelingAtPosition, getLatticeNode, getTotalWeight, getTransducer, getXiProbability, getXis, getXiWeight, length`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SumLatticeConstrained

    public SumLatticeConstrained(Transducer t,
                                 Sequence input,
                                 Sequence output,
                                 Segment requiredSegment,
                                 Sequence constrainedSequence)

### SumLatticeConstrained

    public SumLatticeConstrained(Transducer trans,
                                 Sequence input,
                                 Sequence output,
                                 Transducer.Incrementor incrementor,
                                 LabelAlphabet outputAlphabet,
                                 int[] constraints)

  Create a lattice that constrains its transitions such that the pairs in "constraints" are adhered to. constraints is an array where each entry is the index of the required label at that position. An entry of 0 means there are no constraints on that . Positive values mean the path must pass through that state. Negative values mean the path must _not_ pass through that state. NOTE - constraints.length must be equal to output.size() + 1. A lattice has one extra position for the initial state. Generally, this should be unconstrained, since it does not produce an observation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD